/* global Stats */

/**
 * @author Vsevolod Strukchinsky @floatdrop
 */

/**

Shows frames per second for each pixi draw round (measuring updateTransform calls).

@example
	var stage = new PIXI.Stage();

	LINK.Stats.on(stage);

@class Stats
@constructor
**/
LINK.Stats = function () {
	PIXI.DisplayObjectContainer.call(this);

	this._fpsCounter = new Stats();

	this._fpsCounter.domElement.style.position = 'absolute';
	this._fpsCounter.domElement.style.left = LINK.Stats.left + 'px';
	this._fpsCounter.domElement.style.top = '0px';
	this._fpsCounter.domElement.style.zIndex = '10000';

	document.body.appendChild(this._fpsCounter.domElement);
	LINK.Stats.left += 80;
};

LINK.Stats.left = 0;

LINK.Stats.constructor = LINK.Stats;
LINK.Stats.prototype = Object.create(PIXI.DisplayObjectContainer.prototype);

LINK.Stats.on = function(doc) {
	doc.addChild(new LINK.Stats());
};

/**
@method updateTransform
@internal
*/
LINK.Stats.prototype.updateTransform = function () {
	this._fpsCounter.update();
	PIXI.DisplayObjectContainer.prototype.updateTransform.call(this);
};