/**
 * @author Vsevolod Strukchinsky @floatdrop
 */

/**
Loader class loads resources into one cache. 

@example
	var audioFile = LINK.Loader.load('Throttle - Inspire.mp3');

@class Loader
@constructor
**/
LINK.Loader = function (assetURLs) {
	PIXI.AssetLoader.call(this, assetURLs);

    this.loadersByType.json = LINK.JsonLoader;
};

LINK.Loader.constructor = LINK.Loader;
LINK.Loader.prototype = Object.create(PIXI.AssetLoader.prototype);

LINK.Loader.prototype.load = function(items)
{
	var resources = this.assetURLs;
	this.assetURLs = items || this.assetURLs;
	PIXI.AssetLoader.prototype.load.call(this);
	this.assetURLs = resources;
};